KILL(1)

NOME
kill - envia um sinal para um processo

SINOPSE
kill [opções] <pid> [...]

DESCRIÇÃO
O sinal padrão do kill é TERM. Use -l ou -L para listar os sinais disponíveis. Os sinais particularmente úteis incluem HUP, INT, KILL, STOP, CONT e 0. Os sinais alternativos podem ser especificados de três maneiras: -9, -SIGKILL ou -KILL. Valores de PID negativos podem ser usados para escolher todos os grupos de processo; veja a coluna PGID na saída do comando ps. Um PID de -1 é especial; indica todos os processos, exceto o próprio processo do kill e o init.

OPÇÕES

<pid> [...]
    Envia sinal para todo <pid> listado.

-<sinal>
-s <sinal>
--signal <sinal>
    Especifica o sinal a ser enviado. O sinal pode ser especificado usando um nome ou número. O comportamento dos sinais é explicado na página de manual signal(7).

-q, --queue valor
    Use sigqueue(3) rather than kill(2) and the value argument is used to specify an integer to be sent with the signal. If the receiving process has installed a handler for this signal using the SA_SIGINFO flag to sigaction(2), then it can obtain this data via the si_value field of the siginfo_t structure.

-l, --list [sinal]
    Lista nomes de sinais. Essa opção possui um argumento opcional, que vai converter o número do sinal para um nome de sinal, e vice-versa.

-L, --table
    Lista nomes de sinais em uma tabela legal.

NOTAS
Seu shell (interpretador de linha de comando) pode ter um comando kill
    embutido. Você pode precisar executar o comando descrito aqui como /bin/kill para resolver o conflito.

EXEMPLOS

kill -9 -1
    Termina todos os processos que você pode terminar.

kill -l 11
    Traduz o número 11 para um nome de sinal.

kill -L
    Lista as escolhas de sinais disponíveis em uma tabela legal.

kill 123 543 2341 3453
    Envia um sinal padrão, SIGTERM, para todos esses processos.

VEJA TAMBÉM
kill(2), killall(1), nice(1), pkill(1), renice(1), signal(7), sigqueue(3), skill(1)

PADRÕES
This command meets appropriate standards. The -L flag is Linux-specific.

AUTOR
Albert Cahalan (albert@users.sf.net) wrote kill in 1999 to replace a bsdutils one that was not standards compliant. The util-linux one might also work correctly.

RELATANDO ERROS
Por favor, envie relatórios de erros para procps@freelists.org